<?php
class kavehRequires
{

    public $options;

    public function __construct()
    {
        $this->options = kaveh_get_options();
        $this->kaveh_loader();
    }


    public function kaveh_loader()
    {
        if (is_admin()) {
            require_once KAVEH_TEMPLATE_PATH . '/inc/class-tgm-plugin-activation.php';
        }
        require_once KAVEH_TEMPLATE_PATH . '/inc/framework/codestar-framework.php';
        require_once KAVEH_TEMPLATE_PATH . '/inc/ag-theme-builder/ag-theme-builder.php';
        require_once KAVEH_TEMPLATE_PATH . '/inc/theme-core.php';
        require_once KAVEH_TEMPLATE_PATH . '/inc/kaveh-elementor-widgets.php';
        require_once KAVEH_TEMPLATE_PATH . '/inc/icons/icomoon.php';
        require_once KAVEH_TEMPLATE_PATH . '/inc/icons/iconsax.php';
        require_once KAVEH_TEMPLATE_PATH . '/inc/icons/iconly.php';
        require_once KAVEH_TEMPLATE_PATH . '/inc/plugins/kavehboard/kavehboard.php';
        require_once KAVEH_TEMPLATE_PATH . '/inc/plugins/kstory/kstory.php';

        if($this->options['kaveh_compare_system'] === '1'){
            require_once KAVEH_TEMPLATE_PATH . '/inc/plugins/product-compare-kav/product-compare-kav.php';
        }
        if($this->options['kaveh_wishlist_system'] === '1'){
            require_once KAVEH_TEMPLATE_PATH . '/inc/plugins/wishlist-manager/wishlist-manager.php'; 
        }

    }

}